import sqlite3

class DBSQLite():
    def __init__(self, db_name):
        self.db_name = db_name
    
    def get_data(self, query, params=None):
        # Conectar a la base de datos y ejecutar una consulta
        if params is None:
            params = []
        
        with sqlite3.connect(self.db_name) as conexion:
            cursor = conexion.cursor()
            cursor.execute(query, params)  # Usa parámetros para evitar inyección SQL
            result = cursor.fetchall()
        return result
    
    def get_coordenadas(self):
        # Obtener todas las coordenadas
        return self.get_data("SELECT * FROM coordenadas_mexico;")
    